Page MenuHomePhabricator

New keys needed for APIs included in WBManifest output
Closed, ResolvedPublic5 Estimated Story Points

Description

As discussed in the context of T261285, we decided for v1 of WBManifest to create 2 new keys for the action API (api.php) and REST API (rest.php).

Hints: Probably use the rootscripturl and concatenate it.

We do this with subkeys in an API object

{
   api: {
       action: 'foo.com/api.php',
       rest: 'foo.com/rest.php'
   }
}

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 14 2020, 9:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tarrow updated the task description. (Show Details)Sep 15 2020, 12:17 PM
Silvan_WMDE updated the task description. (Show Details)Sep 16 2020, 8:35 AM

Change 627866 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/WikibaseManifest@master] Add APIs to Manifest output

https://gerrit.wikimedia.org/r/627866

Change 627866 merged by jenkins-bot:
[mediawiki/extensions/WikibaseManifest@master] Add APIs to Manifest output

https://gerrit.wikimedia.org/r/627866

Samantha_Alipio_WMDE closed this task as Resolved.Sep 24 2020, 12:08 PM